Skip to main content
`Ctrl`+`K`

# PetscDrawSPCreate

Creates a scatter plot data structure.

## Synopsis

    #include "petscdraw.h"
    #include "petscsys.h"
    PetscErrorCode PetscDrawSPCreate(PetscDraw draw, int dim, PetscDrawSP *drawsp)

Collective

## Input Parameters

- draw - the window where the graph will be made.

- dim - the number of sets of points which will be drawn

## Output Parameter

- drawsp - the scatter plot context

## Notes

Add points to the plot with `PetscDrawSPAddPoint()` or `PetscDrawSPAddPoints()`; the new points are not displayed until `PetscDrawSPDraw()` is called.

`PetscDrawSPReset()` removes all the points that have been added

`PetscDrawSPSetDimension()` determines how many point curves are being plotted.

The MPI communicator that owns the `PetscDraw` owns this `PetscDrawSP`, and each process can add points. All MPI ranks in the communicator must call `PetscDrawSPDraw()` to display the updated graph.

## See Also

`PetscDrawLGCreate()`, `PetscDrawLG`, `PetscDrawBarCreate()`, `PetscDrawBar`, `PetscDrawHGCreate()`, `PetscDrawHG`, `PetscDrawSPDestroy()`, `PetscDraw`, `PetscDrawSP`, `PetscDrawSPSetDimension()`, `PetscDrawSPReset()`, `PetscDrawSPAddPoint()`, `PetscDrawSPAddPoints()`, `PetscDrawSPDraw()`, `PetscDrawSPSave()`, `PetscDrawSPSetLimits()`, `PetscDrawSPGetAxis()`, `PetscDrawAxis`, `PetscDrawSPGetDraw()`

## Level

intermediate

## Location

src/sys/classes/draw/utils/dscatter.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages